# Uses of Enum
org.apache.zookeeper.server.ZooKeeperServer.State

Packages that use ZooKeeperServer.State
Package
Description
org.apache.zookeeper.server
ZooKeeper server theory of operation
org.apache.zookeeper.server.quorum

## Uses of ZooKeeperServer.State in org.apache.zookeeper.server

Subclasses with type arguments of type ZooKeeperServer.State in org.apache.zookeeper.server
Modifier and Type
Class
Description
`protected static enum`
`ZooKeeperServer.State`
Fields in org.apache.zookeeper.server declared as ZooKeeperServer.State
Modifier and Type
Field
Description
`protected ZooKeeperServer.State`
ZooKeeperServer.`state`
Methods in org.apache.zookeeper.server that return ZooKeeperServer.State
Modifier and Type
Method
Description
`static ZooKeeperServer.State`
ZooKeeperServer.State.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ZooKeeperServer.State[]`
ZooKeeperServer.State.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.apache.zookeeper.server with parameters of type ZooKeeperServer.State
Modifier and Type
Method
Description
`void`
ZooKeeperServerShutdownHandler.`handle(ZooKeeperServer.State state)`
This will be invoked when the server transition to a new server state.
`protected void`
ZooKeeperServer.`setState(ZooKeeperServer.State state)`
Sets the state of ZooKeeper server.

## Uses of ZooKeeperServer.State in org.apache.zookeeper.server.quorum

Methods in org.apache.zookeeper.server.quorum with parameters of type ZooKeeperServer.State
Modifier and Type
Method
Description
`protected void`
QuorumZooKeeperServer.`setState(ZooKeeperServer.State state)`
`protected void`
ReadOnlyZooKeeperServer.`setState(ZooKeeperServer.State state)`